package cz.wifisearch.checkDatabase;

import cz.wifisearch.domain.InputJson;
import cz.wifisearch.entity.OperatorE;
import cz.wifisearch.repository.OperatorRepository;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * Created by Martin on 30.8.2015.
 * * <p/>
 * Třída kontrolující zda se již daný operátor nachází v databázi. Pokud ano, tak se provede pouze update hodnot.
 * Pokud operátor není v databázi, tak se přidá a nastaví se příslušné hodnoty.
 * daný bod vloží.
 */
public class CheckOperator extends CompareLevel {
    private OperatorRepository operatorRepository;
    private InputJson input;
    private OperatorE operator;
    private Logger logger = LoggerFactory.getLogger(CheckOperator.class);

    public CheckOperator(OperatorRepository operatorRepository, InputJson input) {
        this.operatorRepository = operatorRepository;
        this.input = input;
        check();
    }

    private void check() {
        if (operatorRepository.countByOperator(input.getOperator()) == 0) {
            logger.info("insert new operator to db");
            operator = new OperatorE();
            operator.setOperator(input.getOperator());
            operator.setDbmOperator(input.getDbmOperator());
            operator.setCountScanOp(1);
            operator.setSumDbmOper(input.getDbmOperator());
            operator.setMaxDbmOper(input.getDbmOperator());
            operator.setMinDbmOper(input.getDbmOperator());
            operatorRepository.save(operator);
        } else {
            logger.info("update operator: " + input.getOperator() + " in db");
            OperatorE operatorE = operatorRepository.findByOperator(input.getOperator());
            max = (int) operatorE.getMaxDbmOper();
            min = (int) operatorE.getMinDbmOper();

            double sum = operatorE.getSumDbmOper();
            int countScanOp = operatorE.getCountScanOp();

            operatorE.setDbmOperator(input.getDbmOperator());
            operatorE.setMaxDbmOper(compareMax(input.getDbmOperator()));
            operatorE.setMinDbmOper(compareMin(input.getDbmOperator()));
            operatorE.setSumDbmOper(sum + input.getDbmOperator());
            operatorE.setCountScanOp(countScanOp + 1);

            operatorRepository.save(operatorE);
        }
    }
}
