package cz.wifisearch.controller.admin;

import cz.wifisearch.entity.DeviceE;
import cz.wifisearch.repository.DeviceRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.web.PageableDefault;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import java.util.List;

/**
 * Created by Martin on 20.8.2015.
 */

@Controller
public class DeviceController {

    @Autowired
    private DeviceRepository deviceRepository;

    @RequestMapping(value = "/admin/devices", method = RequestMethod.GET)
    public String devices(Model model, @PageableDefault(size = 15) Pageable pageable) {

        Page<DeviceE> devices = deviceRepository.groupDevice(pageable);
        model.addAttribute("page", devices);

        List<DeviceE> dev = deviceRepository.countDeviceAndManufactured();
        model.addAttribute("dev", dev);

        return "/admin/devices";
    }


    @RequestMapping(value = "/admin/devices/{manufactured}", method = RequestMethod.GET)
    public String device(Model model, @PathVariable String manufactured, @PageableDefault(size = 15) Pageable pageable) {
        Page<DeviceE> devices = deviceRepository.findAll(manufactured, pageable);
        model.addAttribute("page", devices);

        return "/admin/device";
    }
}
