package cz.wifisearch.controller.admin;

import cz.wifisearch.entity.PointE;
import cz.wifisearch.repository.PointRepository;
import cz.wifisearch.service.PointService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.web.PageableDefault;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

/**
 * Created by Martin on 19.8.2015.
 */

@Controller
public class PointController {

    @Autowired
    private PointRepository pointRepository;

    @Autowired
    PointService pointService;

    @RequestMapping(value = "/admin/points", method = RequestMethod.GET)
    public String points(Model model, @PageableDefault(size = 15) Pageable pageable) {

        Page<PointE> entityList = pointRepository.findAll(pageable);
        model.addAttribute("page", entityList);

        return "/admin/points";
    }


    @RequestMapping(value = "/admin/points/{qrCode}", method = RequestMethod.GET)
    public String point(Model model, @PathVariable int qrCode, @PageableDefault(size = 15) Pageable pageable) {

        Page<PointE> entityList = pointRepository.findAll(qrCode, pageable);
        model.addAttribute("page", entityList);

        return "/admin/point";
    }

    @RequestMapping(value = "/admin/qrCode")
    public String about(Model model) {
        String qr = "<id>4</id><building>H</building><floor>2</floor><indication>pokoj</indication><area>15.219</area><doors>1</doors><priority>8</priority><typ>mistnost</typ><coordX>8.05</coordX><coordY>9.215</coordY>";
        model.addAttribute("qr", qr);
        return "admin/qrCode";
    }

    @RequestMapping(value = "/admin/points/delete/{id}", method = RequestMethod.GET)
    public String pointDelete( @PathVariable Long id) {
        pointService.deletePoint(id);
        return "redirect:/admin/points";
    }
}
