package cz.wifisearch.entity;

/**
 * Created by Martin on 24.8.2015.
 */

import javax.persistence.*;


// https://en.wikibooks.org/wiki/Java_Persistence/OneToMany#Unidirectional_OneToMany.2C_No_Inverse_ManyToOne.2C_No_Join_Table_.28JPA_2.0_ONLY.29

@Entity
public class WifiE {
    @Id
    @GeneratedValue(strategy = GenerationType.AUTO) // Indicates that the persistence provider must assign
    // primary keys for the entity using database identity column.
    private Long idWifiE;

    private String name;
    private String accessPoint;
    private String capabilities;
    private int level;
    private int channel;
    private int frequency;

    private double maxLevel;
    private double minLevel;
    private double sumLevel;
    private int countScanWifi;

    // referencedColumnName = na který sloupec v 2 tab to má odkazovat
    @ManyToOne(cascade = CascadeType.ALL, fetch = FetchType.LAZY)
    @JoinColumn(name = "numberPoint", referencedColumnName = "numberPoint")
    private PointE pointE;

    public Long getIdWifiE() {
        return idWifiE;
    }

    public void setIdWifiE(Long idWifiE) {
        this.idWifiE = idWifiE;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAccessPoint() {
        return accessPoint;
    }

    public void setAccessPoint(String accessPoint) {
        this.accessPoint = accessPoint;
    }

    public String getCapabilities() {
        return capabilities;
    }

    public void setCapabilities(String capabilities) {
        this.capabilities = capabilities;
    }

    public int getLevel() {
        return level;
    }

    public void setLevel(int level) {
        this.level = level;
    }

    public int getChannel() {
        return channel;
    }

    public void setChannel(int channel) {
        this.channel = channel;
    }

    public int getFrequency() {
        return frequency;
    }

    public void setFrequency(int frequency) {
        this.frequency = frequency;
    }

    public double getMaxLevel() {
        return maxLevel;
    }

    public void setMaxLevel(double maxLevel) {
        this.maxLevel = maxLevel;
    }

    public double getMinLevel() {
        return minLevel;
    }

    public void setMinLevel(double minLevel) {
        this.minLevel = minLevel;
    }

    public double getSumLevel() {
        return sumLevel;
    }

    public void setSumLevel(double sumLevel) {
        this.sumLevel = sumLevel;
    }

    public int getCountScanWifi() {
        return countScanWifi;
    }

    public void setCountScanWifi(int countScanWifi) {
        this.countScanWifi = countScanWifi;
    }

    public PointE getPointE() {
        return pointE;
    }

    public void setPointE(PointE pointE) {
        this.pointE = pointE;
    }
}
