package cz.wifisearch.repository;

/**
 * Created by Martin on 16.8.2015.
 */

import cz.wifisearch.entity.DeviceE;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;
import java.util.List;

@Repository
public interface DeviceRepository extends JpaRepository<DeviceE, Long> {

    int countByBrand(String brand); // zda existuje značka v db

    int countByCodeNamed(String codeNamed); // zda existuje model, podle kodového označenís v db

    int countBySdk(int sdk); //    // zda existuje SDK v db

    DeviceE findByCodeNamedAndSdk(String codeNamed, int sdk); // najití všeho podle kodového označení a sdk

    @Query("select d from DeviceE d where d.manufactured =?1 order by d.id desc")
    Page<DeviceE> findAll(String manufactured, Pageable pageable);

    @Query("SELECT d.manufactured, SUM (d.countDev) FROM DeviceE d GROUP BY d.manufactured")
    List<DeviceE> countDeviceAndManufactured();

    @Query("SELECT d FROM DeviceE d GROUP BY d.manufactured")
    Page<DeviceE> groupDevice(Pageable pageable);
}
