package cz.wifisearch.repository;

import cz.wifisearch.entity.User;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;

/**
 * Created by Martin on 14.8.2015.
 */
public interface UserRepository extends JpaRepository<User, Long> {

    //    public User findUserByEmail(String email);
//
    User findUserByUsername(String username);

    @Query("select count(u) from User u where u.username = ?1 and u.userId <> ?2")
    int countUserNameInDatabase(String username, int userId);// najiti sumy

    @Query("select count(u) from User u where u.email = ?1 and u.userId <> ?2")
    int countUserByEmailAndUserId(String email, int userId);

    @Modifying
    @Query("delete from User u where u.userId = ?1")
    int deleteUser( int userId);

}

