package cz.wifisearch.validators;

import cz.wifisearch.entity.User;
import org.springframework.stereotype.Component;
import org.springframework.validation.Errors;
import org.springframework.validation.Validator;

/**
 * Created by Martin on 25.9.2015.
 */

@Component
public class PasswordValidator implements Validator {
    @Override
    public boolean supports(Class<?> aClass) {
        return User.class.equals(aClass);
    }

    @Override
    public void validate(Object o, Errors errors) {
        User user = (User) o;
        if (user.getPassword().isEmpty() || user.getPasswordConf().isEmpty()) {
            errors.rejectValue("password", "errors", "Zvolte heslo.");
            errors.rejectValue("passwordConf", "errors", "Potvrďte heslo.");
        }
        if (!user.getPassword().equals(user.getPasswordConf())) {
            errors.rejectValue("passwordConf", "errors", "Hesla neodpovídají.");
        }
    }
}
