package cz.wifisearch.validators;

import cz.wifisearch.entity.User;
import cz.wifisearch.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.validation.Errors;
import org.springframework.validation.Validator;

/**
 * Created by Martin on 24.9.2015.
 */

@Component
public class UserEmailValidator implements Validator {

    @Autowired
    private UserService userService;

    @Override
    public boolean supports(Class<?> aClass) {
        return User.class.equals(aClass);
    }

    @Override
    public void validate(Object o, Errors errors) {
        User user = (User) o;
        if (user.getEmail().isEmpty())
            errors.rejectValue("email", "errors", "Toto pole je povinné.");
        if (userService.isEmailInDatabase(user.getEmail(), user.getUserId())) {
            errors.rejectValue("email", "exist", "Tento email se již nachází v databázi.");
        }
    }
}
