package cz.wifisearch.validators;

import cz.wifisearch.entity.User;
import cz.wifisearch.repository.UserRepository;
import cz.wifisearch.service.UserService;
import cz.wifisearch.service.impl.UserServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.validation.Errors;
import org.springframework.validation.Validator;

/**
 * Created by Martin on 24.9.2015.
 */

@Component
public class UserNameValidator implements Validator {

    @Autowired
    private UserService userService;

    @Override
    public boolean supports(Class<?> aClass) {
        return User.class.equals(aClass);
    }

    @Override
    public void validate(Object o, Errors errors) {
        User user = (User) o;
        if (user.getUsername().isEmpty())
            errors.rejectValue("username", "errors", "Toto pole je povinné.");
        if (userService.isUserNameInDatabase(user.getUsername(), user.getUserId())) {
            errors.rejectValue("username", "exist", "Toto uživatelské jméno je již obsazené.");
        }
    }
}
