<%--
  Created by IntelliJ IDEA.
  User: Martin
  Date: 20.10.2015
  Time: 16:05
  To change this template use File | Settings | File Templates.
--%>
<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>

<%@ taglib uri="http://tiles.apache.org/tags-tiles" prefix="tiles" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://www.springframework.org/security/tags"
           prefix="sec" %>
<%@ taglib uri="http://www.springframework.org/tags" prefix="spring" %>

<%@ taglib uri="http://tiles.apache.org/tags-tiles-extras" prefix="tilesx" %>

<tilesx:useAttribute name="current"/>

<html>
<head>
    <title><tiles:getAsString name="title"/></title>
    <c:url var="res" value="/resources"/>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
    <meta http-equiv="Content-Language" content="cs" />
    <meta name="description" content="Server pro ukládání otisků bezdrátových sítí" />
    <meta name="keywords" content="Wifi, fingerprint" />
    <meta name="author" http-equiv="content-type" content="Martin Jedlička" />

    <!-- Bootstrap core CSS -->
    <link href="${res}/css/bootstrap.min.css" rel="stylesheet">

    <!-- Custom styles for this template -->
    <link href="${res}/css/myCss.css" rel="stylesheet">

    <c:url var="logoutUrl" value="/admin/logout"/>
    <form action="${logoutUrl}" id="logout" method="post">
        <input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}"/>
    </form>

</head>
<body role="document">
<!-- Static navbar -->
<nav class="navbar navbar-default navbar-static-top">
    <div class="container">
        <div class="navbar-header">
            </button>
            <a class="navbar-brand" href="/admin/">Wifi fingerprint </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
            <ul class="nav navbar-nav">
                <li class="${current == 'points'? 'active' : ''}"><a href="/admin/points">Wifi body</a></li>
                <li class="${current == 'devices'? 'active' : ''}"><a href="/admin/devices">Zařízení</a></li>
                <li class="${current == 'operators'? 'active' : ''}"><a href="/admin/operators">Operátor</a></li>
                <li class="${current == 'qr'? 'active' : ''}"><a href="/admin/qrCode">Tvorba QR kódů</a></li>
                <li class="dropdown ${current == 'users'  || current == 'edit' || current == 'newUser' ? 'active' : ''}">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true"
                       aria-expanded="false">Nastavení<span class="caret"></span></a>
                    <ul class="dropdown-menu">
                        <li class="${current == 'users'? 'active' : ''}"><a href="/admin/users">Přehled všech uživatelů</a></li>
                        <li class="${current == 'edit'? 'active' : ''}"><a href="/admin/user/editUser">Editace svých údajů</a></li>
                        <li class="${current == 'newUser'? 'active' : ''}"><a href="/admin/user/form">Přidat nového uživatele</a></li>
                    </ul>
                </li>
            </ul>
            <ul class="nav navbar-nav navbar-right">
                <li><a href="#" onclick="document.getElementById('logout').submit();">Odhlásit</a></li>
            </ul>
        </div>
        <!--/.nav-collapse -->
    </div>
</nav>
<div class="container marketing">
    <tiles:insertAttribute name="content"/>

    <!-- FOOTER -->
    <footer>
        <p class="text-center">Copyright &copy; 2015 Martin Jedlička | Všechna práva vyhrazena.</p>
    </footer>

</div>
<!-- /.container -->

<!-- Bootstrap core JavaScript
================================================== -->
<!-- Placed at the end of the document so the pages load faster -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
<script src="${res}/js/bootstrap.min.js"></script>
<script src="${res}/js/docs.min.js"></script>
<!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
<script src="${res}/js/ie10-viewport-bug-workaround.js"></script>
</body>

</html>
